# ``twisted`.`words`.`im`.`pbsupport`.`TwistedWordsGroup``

class documentation

`class TwistedWordsGroup(basesupport.AbstractGroup): (source)`

Implements interfaces: `twisted.words.im.interfaces.IGroup`

View In Hierarchy

Undocumented

Method | `__init__` | Initialize me.
Method | `joining` | Undocumented
Method | `leave` | Depart this group.
Method | `leaving` | Undocumented
Method | `metadataFailed` | Undocumented
Method | `sendGroupMessage` | Return a deferred.
Method | `setTopic` | Set this Groups topic on the server.
Instance Variable | `joined` | Undocumented

Inherited from `AbstractGroup`:

Method | `__repr__` | Undocumented
Method | `__str__` | Undocumented
Method | `getGroupCommands` | finds group commands
Method | `getTargetCommands` | finds group commands
Method | `join` | Undocumented
Instance Variable | `account` | Undocumented
Instance Variable | `name` | Undocumented

def __init__(self, name, wordsClient): (source)
from `twisted.words.im.interfaces.IGroup`
overrides `twisted.words.im.basesupport.AbstractGroup.__init__`
Initialize me.

Parameters
name:str | My name, as the server knows me.
wordsClient | Undocumented
account:`Account` | The account I am accessed through.

def joining(self): (source)

Undocumented

def leave(self): (source)
from `twisted.words.im.interfaces.IGroup`
overrides `twisted.words.im.basesupport.AbstractGroup.leave`
Depart this group.
def leaving(self): (source)

Undocumented

def metadataFailed(self, result, text): (source)

Undocumented

def sendGroupMessage(self, text, metadata=None): (source)
from `twisted.words.im.interfaces.IGroup`
Return a deferred.
def setTopic(self, text): (source)
from `twisted.words.im.interfaces.IGroup`
Set this Groups topic on the server.

Parameters
text:string | Undocumented

joined: `int` = (source)

Undocumented